function imgReg = getRegion(img, dst, M)
%This is a modified version of quadtobox.m used in the code provided
%with the Lucas-Kanade 20 Years On series of papers.  The original
%code can be found at:
%http://www.ri.cmu.edu/research_project_detail.html?project_id=515


maxv = max(dst,[],2);
[xs ys] = meshgrid(1:maxv(1), 1:maxv(2));
xy = [xs(:)'; ys(:)'];
xy = [xy; ones(1,size(xy,2))];

uv = M * xy;
uv = uv(1:2,:)';
xi = reshape(uv(:,1),maxv(2),maxv(1));
yi = reshape(uv(:,2),maxv(2),maxv(1));
imgReg = interp2(img, xi, yi, 'bilinear');
imgReg(isnan(imgReg)) = 0;